> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Test in the sandbox first: base URL https://api-sandbox.y.uno (Test Mode in the Dashboard). Production is https://api.y.uno (Live Mode).
> Every API request needs the public-api-key and private-secret-key headers. Get them in the Dashboard at https://dashboard.y.uno/developers (Developers > Credentials); sandbox and production keys are different.
> Send an X-Idempotency-Key (a UUID) when creating payments, refunds and cancels, so retries do not create duplicates.
> Start with the Quickstart (https://docs.y.uno/docs/quickstart.md) and the agent guide (https://docs.y.uno/agents.md). To search these docs from a coding agent, connect the docs MCP server at https://docs.y.uno/mcp.

# Obtener pago por ID de orden del comercio

> Obtiene los detalles de un pago usando el ID de orden del comercio enviado como parámetro de consulta.

Esta solicitud te permite obtener los detalles de los pagos según su `merchant_order_id`,  que envías como el parámetro de consulta `merchant_order_id`.

> [!NOTE]
>
> `transactions` en esta respuesta es un arreglo que contiene todas las transacciones del pago. En los payloads de webhook el mismo nombre de campo contiene un único objeto (la transacción que activó el evento), con la lista completa en `transactions_history`. Consulta [Webhook object and examples](https://docs.y.uno/es/docs/webhooks/object-and-examples.md).


## OpenAPI

````yaml openapi/es/payments/retrieve-payment-by-merchant-order-id.json GET /payments
openapi: 3.1.0
info:
  title: payment-api-create-payment-back-to-back
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
    description: Sandbox
  - url: https://api.y.uno/v1
    description: Production (US)
security:
  - sec0: []
    sec1: []
paths:
  /payments:
    get:
      summary: Obtener pago por ID de orden del comercio
      description: >-
        Devuelve los pagos que coinciden con un `merchant_order_id`, enviado
        como parámetro de consulta. La respuesta es un arreglo, y cada elemento
        envuelve el objeto de pago en una clave `payment`.
      operationId: retrieve-payment-by-merchant-order-id
      parameters:
        - name: merchant_order_id
          in: query
          description: El identificador único de la orden del cliente.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                SDK_Checkout - Required Fields:
                  value:
                    - payment:
                        id: e3f397ed-b7d0-4816-ab75-8457b0a30ec1
                        account_id: 493e9374-510a-4201-9e09-de669d75f256
                        description: Test Bank of America
                        country: US
                        status: READY_TO_PAY
                        sub_status: CREATED
                        merchant_order_id: '0000022'
                        created_at: '2023-07-20T17:24:58.900553Z'
                        updated_at: '2023-07-20T17:25:13.447662Z'
                        amount:
                          captured: 0
                          currency: USD
                          refunded: 0
                          value: 52000
                        checkout:
                          session: 954dc216-60ff-4ae4-a299-c603b93bd267
                          sdk_action_required: true
                        payment_method:
                          vaulted_token: ''
                          type: BANK_TRANSFER
                          vault_on_success: false
                          token: 2cd31999-e44e-4de3-bbe4-179981ff4295
                          payment_method_detail:
                            bank_transfer:
                              provider_image: ''
                              account_type: null
                              bank_name: Bank of America
                              beneficiary_name: John Doe
                              bank_account: '123456789'
                              bank_account_2: null
                              beneficiary_document_type: SSN
                              beneficiary_document: 123-45-6789
                              payment_instruction: null
                              redirect_url: >-
                                https://api-sandbox.wompi.co/v1/payment_methods/redirect/bank_transfer?transferCode=52xB9jF695TdDvHK-approved
                        customer_payer:
                          id: cfae0941-7234-427a-a739-ef4fce966c79
                          merchant_customer_id: '1689873883'
                          first_name: John
                          last_name: Doe
                          gender: M
                          date_of_birth: '1990-02-28'
                          email: johndoe@example.com
                          nationality: US
                          ip_address: 192.0.2.1
                          device_fingerprint: null
                          browser_info:
                            user_agent: ''
                            accept_header: ''
                            accept_content: null
                            accept_browser: null
                            color_depth: ''
                            screen_height: ''
                            screen_width: ''
                            javascript_enabled: null
                            java_enabled: null
                            browser_time_difference: null
                            language: ''
                          document:
                            document_type: SSN
                            document_number: 123-45-6789
                          phone:
                            number: '5551234567'
                            country_code: '1'
                          billing_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                          shipping_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                        additional_data: null
                        taxes: null
                        transactions:
                          - id: 09135cb9-159c-4662-8fe3-da5523bb2266
                            type: PURCHASE
                            status: SUCCEEDED
                            category: BANK_TRANSFER
                            amount: 52000
                            provider_id: BANK_OF_AMERICA
                            payment_method:
                              vaulted_token: ''
                              type: BANK_TRANSFER
                              vault_on_success: false
                              token: 2cd31999-e44e-4de3-bbe4-179981ff4295
                              detail:
                                bank_transfer:
                                  provider_image: ''
                                  account_type: null
                                  bank_name: Bank of America
                                  beneficiary_name: John Doe
                                  bank_account: '123456789'
                                  bank_account_2: null
                                  beneficiary_document_type: SSN
                                  beneficiary_document: 123-45-6789
                                  payment_instruction: null
                                  redirect_url: >-
                                    https://api-sandbox.wompi.co/v1/payment_methods/redirect/bank_transfer?transferCode=52xB9jF695TdDvHK-approved
                            response_code: SUCCEEDED
                            response_message: Transaction successful
                            reason: null
                            description: Test Bank of America
                            merchant_reference: null
                            provider_data:
                              id: BANK_OF_AMERICA
                              transaction_id: 117490-1689873907-17347
                              account_id: ''
                              status: APPROVED
                              status_detail: ''
                              response_code: ''
                              response_message: ''
                              iso8583_response_code: '00'
                              iso8583_response_message: Approved or completed successfully
                              raw_response:
                                data:
                                  amount_in_cents: 5200000
                                  bill_id: null
                                  billing_data: null
                                  created_at: '2023-07-20T17:25:07.167Z'
                                  currency: USD
                                  customer_data: null
                                  customer_email: johndoe@example.com
                                  finalized_at: null
                                  id: 117490-1689873907-17347
                                  payment_link_id: null
                                  payment_method:
                                    extra:
                                      is_three_ds: false
                                    payment_description: Test Bank of America
                                    sandbox_status: APPROVED
                                    type: BANK_TRANSFER
                                    user_type: PERSON
                                  payment_method_type: BANK_TRANSFER
                                  payment_source_id: null
                                  redirect_url: >-
                                    https://google.com/?checkoutSession=954dc216-60ff-4ae4-a299-c603b93bd267
                                  reference: 09135cb9-159c-4662-8fe3-da5523bb2266
                                  shipping_address: null
                                  status: PENDING
                                  status_message: null
                                  taxes: []
                                meta: {}
                              third_party_transaction_id: ''
                            three_d_secure_action_required: null
                            created_at: '2023-07-20T17:25:05.410687Z'
                            updated_at: '2023-07-20T17:25:11.472652Z'
                        split: []
                        callback_url: >-
                          https://y.uno/?checkoutSession=954dc216-60ff-4ae4-a299-c603b93bd267
                        workflow: SDK_CHECKOUT
                        metadata: []
                Card - With card details:
                  value:
                    - payment:
                        id: bc0489ba-80bf-4bb9-98c5-ff8dfbceebf9
                        account_id: 64761a45-6e49-4ea5-a6ff-6b52030b92ac
                        description: SUCCESSFUL
                        country: US
                        status: SUCCEEDED
                        sub_status: APPROVED
                        merchant_order_id: Order_id
                        created_at: '2023-07-12T18:51:49.437886Z'
                        updated_at: '2023-07-12T18:51:54.679410Z'
                        amount:
                          currency: USD
                          value: 20000
                          refunded: 0
                          captured: 0
                        checkout:
                          session: ''
                          sdk_action_required: false
                        payment_method:
                          vaulted_token: ''
                          type: CARD
                          vault_on_success: false
                          token: ''
                          payment_method_detail:
                            card:
                              verify: null
                              capture: true
                              installments: 1
                              first_installment_deferral: 0
                              installments_type: ''
                              installment_amount: null
                              soft_descriptor: ''
                              authorization_code: '517862'
                              retrieval_reference_number: ''
                              acquirer_reference_number: ''
                              voucher: null
                              card_data:
                                holder_name: John Doe
                                iin: '41111111'
                                lfd: '1111'
                                number_length: 16
                                security_code_length: 3
                                brand: VISA
                                issuer_name: JPMORGAN_CHASE_BANK_NA
                                issuer_code: US_JPMORGAN_CHASE_BANK_NA
                                category: null
                                type: CREDIT
                                three_d_secure:
                                  token: null
                                  collect_url: null
                                  setup_reference_id: null
                                  developer_id: null
                                  solution_id: null
                                  code: null
                                  version: null
                                  electronic_commerce_indicator: null
                                  cryptogram: null
                                  transaction_id: null
                                  acs_id: null
                                  ds_id: null
                                  pares_status: null
                              stored_credentials:
                                reason: SUBSCRIPTION
                                usage: USED
                                subscription_agreement_id: XXXX01
                                network_transaction_id: null
                        customer_payer:
                          id: a76d79b7-902f-4152-922f-7e7eebc5f3dc
                          merchant_customer_id: '1309'
                          first_name: John
                          last_name: Doe
                          gender: M
                          date_of_birth: '1990-02-28'
                          email: johndoe@example.com
                          nationality: US
                          ip_address: null
                          device_fingerprint: null
                          browser_info:
                            user_agent: string
                            accept_header: string
                            accept_content: null
                            accept_browser: null
                            color_depth: '32'
                            screen_height: '32'
                            screen_width: '32'
                            javascript_enabled: true
                            java_enabled: null
                            browser_time_difference: null
                            language: string
                          document:
                            document_type: SSN
                            document_number: 123-45-6789
                          phone:
                            number: '5551234567'
                            country_code: '1'
                          billing_address:
                            address_line_1: 123 Main St
                            address_line_2: ''
                            country: US
                            city: San Diego
                          shipping_address:
                            address_line_1: 123 Main St
                            address_line_2: ''
                            country: US
                            city: San Diego
                        additional_data: null
                        taxes: null
                        transactions:
                          - id: c718b8e9-2943-4fdf-9b3c-426cf44940fb
                            type: PURCHASE
                            status: SUCCEEDED
                            category: CARD
                            amount: 20000
                            provider_id: DLOCAL
                            payment_method:
                              vaulted_token: ''
                              type: CARD
                              vault_on_success: false
                              token: ''
                              detail:
                                card:
                                  verify: null
                                  capture: true
                                  installments: 1
                                  first_installment_deferral: 0
                                  installments_type: ''
                                  installment_amount: null
                                  soft_descriptor: ''
                                  authorization_code: '517862'
                                  retrieval_reference_number: ''
                                  acquirer_reference_number: ''
                                  voucher: null
                                  card_data:
                                    holder_name: John Doe
                                    iin: '41111111'
                                    lfd: '1111'
                                    number_length: 16
                                    security_code_length: 3
                                    brand: VISA
                                    issuer_name: JPMORGAN_CHASE_BANK_NA
                                    issuer_code: US_JPMORGAN_CHASE_BANK_NA
                                    category: null
                                    type: CREDIT
                                    three_d_secure:
                                      token: null
                                      collect_url: null
                                      setup_reference_id: null
                                      developer_id: null
                                      solution_id: null
                                      code: null
                                      version: null
                                      electronic_commerce_indicator: null
                                      cryptogram: null
                                      transaction_id: null
                                      acs_id: null
                                      ds_id: null
                                      pares_status: null
                                  stored_credentials:
                                    reason: SUBSCRIPTION
                                    usage: USED
                                    subscription_agreement_id: XXXX01
                                    network_transaction_id: null
                            response_code: SUCCEEDED
                            response_message: Transaction successful
                            reason: null
                            description: SUCCESSFUL
                            merchant_reference: null
                            provider_data:
                              id: DLOCAL
                              transaction_id: T-385928-c64b755f-1318-4a4c-a963-cd39bcefdc42
                              account_id: ''
                              status: PAID
                              status_detail: '200'
                              response_message: The payment was paid.
                              iso8583_response_code: '00'
                              iso8583_response_message: Approved or completed successfully
                              raw_response:
                                value: >-
                                  {"id":"T-385928-c64b755f-1318-4a4c-a963-cd39bcefdc42","amount":20000,"currency":"USD","payment_method_id":"CARD","payment_method_type":"CARD","payment_method_flow":"DIRECT","country":"US","card":{"holder_name":"John
                                  Doe","expiration_month":11,"expiration_year":2028,"brand":"VI","last4":"1111","installments":1,"installments_responsible":"customer"},"three_dsecure":{},"created_date":"2023-07-12T18:51:52.000+0000","approved_date":"2023-07-12T18:51:54.000+0000","status":"PAID","status_detail":"The
                                  payment was
                                  paid.","status_code":"200","order_id":"c718b8e9-2943-4fdf-9b3c-426cf44940fb","description":"SUCCESSFUL","notification_url":"https://sandbox.y.uno/dlocal-webhook/v1/confirmations","acquirer":{"authorization_code":"517862"}}
                              third_party_transaction_id: ''
                            three_d_secure_action_required: null
                            created_at: '2023-07-12T18:51:51.908784Z'
                            updated_at: '2023-07-12T18:51:54.426087Z'
                        split: []
                        workflow: DIRECT
                        metadata: []
                        fraud_screening: null
                        payment_link_code: ''
                Card - With airline data:
                  value:
                    - payment:
                        id: 6e7cc5da-2b39-4b6e-b382-df8bb1feddf1
                        account_id: 64761a45-6e49-4ea5-a6ff-6b52030b92ac
                        description: SUCCESSFUL
                        country: US
                        status: SUCCEEDED
                        sub_status: APPROVED
                        merchant_order_id: Order_id
                        created_at: '2023-07-12T20:06:41.418163Z'
                        updated_at: '2023-07-12T20:06:41.806898Z'
                        amount:
                          currency: USD
                          value: 2000
                          refunded: 0
                          captured: 0
                        checkout:
                          session: ''
                          sdk_action_required: false
                        payment_method:
                          vaulted_token: ''
                          type: CARD
                          vault_on_success: false
                          token: ''
                          payment_method_detail:
                            card:
                              verify: null
                              capture: false
                              installments: 1
                              first_installment_deferral: 0
                              installments_type: ''
                              installment_amount: null
                              soft_descriptor: ''
                              authorization_code: ''
                              retrieval_reference_number: ''
                              acquirer_reference_number: ''
                              voucher: null
                              card_data:
                                holder_name: John Doe
                                iin: '41111111'
                                lfd: '1111'
                                number_length: 16
                                security_code_length: 3
                                brand: VISA
                                issuer_name: JPMORGAN_CHASE_BANK_NA
                                issuer_code: US_JPMORGAN_CHASE_BANK_NA
                                category: null
                                type: CREDIT
                                three_d_secure:
                                  token: null
                                  collect_url: null
                                  setup_reference_id: null
                                  developer_id: null
                                  solution_id: null
                                  code: null
                                  version: null
                                  electronic_commerce_indicator: null
                                  cryptogram: null
                                  transaction_id: null
                                  acs_id: null
                                  ds_id: null
                                  pares_status: null
                              stored_credentials:
                                reason: SUBSCRIPTION
                                usage: USED
                                subscription_agreement_id: XXXX01
                                network_transaction_id: null
                        customer_payer:
                          id: null
                          merchant_customer_id: null
                          first_name: John
                          last_name: Doe
                          gender: M
                          date_of_birth: '1998-01-01'
                          email: test@test.com
                          nationality: US
                          ip_address: 192.0.0.1
                          device_fingerprint: null
                          browser_info:
                            user_agent: string
                            accept_header: string
                            accept_content: string
                            accept_browser: string
                            color_depth: '32'
                            screen_height: '32'
                            screen_width: '32'
                            javascript_enabled: true
                            java_enabled: null
                            browser_time_difference: null
                            language: string
                          document:
                            document_type: SSN
                            document_number: 123-45-6789
                          phone: null
                          billing_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                          shipping_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                        additional_data:
                          airline:
                            pnr: ABC123
                            legs:
                              - departure_airport: LAX
                                departure_datetime: '2023-10-31T01:30:00.000-08:00'
                                departure_airport_timezone: GMT-08
                                arrival_airport: JFK
                                arrival_datetime: '2023-10-31T09:30:00.000-08:00'
                                carrier_code: AA
                                carrier_name: American Airlines
                                flight_number: AA123
                                fare_basis_code: 'Y'
                                fare_class_code: S
                                base_fare: 180
                                base_fare_currency: USD
                                stopover_code: O
                            passengers:
                              - first_name: John
                                last_name: Doe
                                middle_name: Stephen
                                type: A
                                date_of_birth: '1998-01-01'
                                nationality: US
                                document:
                                  document_type: SSN
                                  document_number: 123-45-6789
                                country: null
                                loyalty_number: '79250001'
                                loyalty_tier: DIAMOND
                                email: john.doe@company.com
                                phone:
                                  number: '5559876543'
                                  country_code: '1'
                            ticket: null
                            tickets:
                              - ticket_number: BRB0001
                                e_ticket: true
                                restricted: false
                                total_fare_amount: 200
                                total_tax_amount: 18
                                total_fee_amount: 2
                                issue:
                                  carrier_prefix_code: '001'
                                  travel_agent_code: A104121
                                  travel_agent_name: Airline Travel
                                  date: '2023-10-31T01:30:00.000-08:00'
                                  address: 123 Main St
                                  city: Los Angeles
                                  country: US
                                  zip_code: '90001'
                          order: null
                          seller_details: null
                        taxes: null
                        transactions: []
                        split: []
                        workflow: DIRECT
                        metadata: []
                        fraud_screening: null
                        payment_link_code: ''
                Card - With 3DS direct:
                  value:
                    - payment:
                        id: cb3ca163-cb79-41d7-b9a3-0115e30a7c01
                        idempotency_key: fc0d89a1-8d18-4759-8d0a-ee1c6d0386e2
                        account_code: 26a6626c-d3ec-4caa-bf7c-a994b145dc00
                        account_id: 26a6626c-d3ec-4caa-bf7c-a994b145dc00
                        description: TEST_3DS
                        country: US
                        status: SUCCEEDED
                        sub_status: APPROVED
                        merchant_order_id: '0000023'
                        created_at: '2023-07-17T17:00:39.678379Z'
                        updated_at: '2023-07-17T17:41:48.453381Z'
                        amount:
                          currency: USD
                          value: 5000
                          refunded: 0
                          captured: 0
                        checkout:
                          session: b0751c96-0b00-4b8c-8372-c16f72f60598
                          sdk_action_required: false
                        customer_payer:
                          id: fc7ef8ae-000d-4903-ab76-494ebc8d5fa3
                          merchant_customer_id: '1689374657'
                          first_name: John
                          last_name: Doe
                          gender: M
                          date_of_birth: '1990-02-28'
                          email: johndoe@example.com
                          nationality: US
                          ip_address: 192.0.2.1
                          device_fingerprint: null
                          browser_info: null
                          document:
                            document_type: SSN
                            document_number: 123-45-6789
                          phone: null
                          billing_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                          shipping_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                        additional_data:
                          airline: null
                          order: null
                          seller_details: null
                        taxes: null
                        transactions:
                          - id: caada737-27ab-46ca-91a9-744da64c4787
                            type: THREE_D_SECURE
                            status: SUCCEEDED
                            category: CARD
                            amount: 5000
                            provider_id: CYBERSOURCE_3DS
                            payment_method:
                              vaulted_token: ''
                              type: CARD
                              vault_on_success: false
                              token: ''
                              detail:
                                card:
                                  verify: null
                                  capture: true
                                  installments: 1
                                  first_installment_deferral: 0
                                  installments_type: ''
                                  installment_amount: null
                                  soft_descriptor: ''
                                  authorization_code: ''
                                  retrieval_reference_number: ''
                                  acquirer_reference_number: ''
                                  voucher: null
                                  redirect_url: >-
                                    https://checkout.staging.y.uno/payment?session=14c263bd-e01d-400f-885a-70205df8b417
                                  card_data:
                                    holder_name: John Doe
                                    iin: '44565300'
                                    lfd: '0007'
                                    number_length: 16
                                    security_code_length: 3
                                    brand: VISA
                                    issuer_name: ''
                                    issuer_code: null
                                    category: null
                                    type: CREDIT
                                    three_d_secure:
                                      three_d_secure_setup_id: 24127d61-b852-42fb-acd4-1ee661645376
                                      version: null
                                      electronic_commerce_indicator: null
                                      cryptogram: null
                                      transaction_id: null
                                      directory_server_transaction_id: null
                                      pares_status: 'Y'
                                  stored_credentials:
                                    reason: SUBSCRIPTION
                                    usage: USED
                                    subscription_agreement_id: XXXX01
                                    network_transaction_id: null
                            response_code: SUCCEEDED
                            response_message: Transaction successful
                            reason: null
                            description: TEST_3DS
                            merchant_reference: reference-5f6dd991-ab14-4da3-b7d8-9f24a04ebd92
                            provider_data:
                              id: CYBERSOURCE_3DS
                              transaction_id: '6896132402506977804951'
                              account_id: ''
                              status: AUTHENTICATION_SUCCESSFUL
                              status_detail: ''
                              response_message: CONSUMER_AUTHENTICATION_REQUIRED
                              iso8583_response_code: '00'
                              iso8583_response_message: Approved or completed successfully
                              raw_response:
                                clientReferenceInformation:
                                  code: 24127d61-b852-42fb-acd4-1ee661645376
                                consumerAuthenticationInformation:
                                  accessToken: >-
                                    eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiIxZmM5ZDVhMS04M2ZhLTQwYWEtYjI5Ny1iZDM1ZGIxODQ4ZjAiLCJpYXQiOjE2ODk2MTMyNDAsImlzcyI6IjVkZDgzYmYwMGU0MjNkMTQ5OGRjYmFjYSIsImV4cCI6MTY4OTYxNjg0MCwiT3JnVW5pdElkIjoiNjQwYTM1NjlkODdhMjUwYTQyNTEwOWRjIiwiUGF5bG9hZCI6eyJBQ1NVcmwiOiJodHRwczovL21lcmNoYW50YWNzc3RhZy5jYXJkaW5hbGNvbW1lcmNlLmNvbS9NZXJjaGFudEFDU1dlYi9wYXJlcS5qc3A_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.5ehSTA5uUKc2DfvTRGJZ8dPKbxAJ5WproKSTLqu4egM
                                  acsUrl: >-
                                    https://merchantacsstag.cardinalcommerce.com/MerchantACSWeb/pareq.jsp?vaa=b&gold=AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
                                  authenticationPath: ENROLLED
                                  authenticationTransactionId: SzoIoMqsGtJJmkfmyJA0
                                  pareq: >-
                                    eNpVUV1vgkAQfL9fQUwfG+6AKtGsl9Bq6kc0ttBonxqEbSWVD4/DqL++dwi1vaedyc7tziwEO4E48jGqBHJYYFmGX2gk8bDjX/JpvjiUz3I2S78/0/PMYx0OK+8VDxyOKMokz7hlMtMG2kKivhDRLswkhzA6PE6X/KHXt60e0AYSSFFMRzwY+8GHM/KBXjGBLEyRv1dZbijaCLCUQGuOQJRXmRRnbrkMaAsIVGLPd1IW5YDSs6mUQDVFgN62WFW6KpW5UxLzN6c4+uv+MtosJ/G4mG/XMt1u9vOXwBsC1R0E4lAit5ntMNdyDcsdMDZw+kBrnkCY6vn8rmsyxu6ZWqhhCBR6lndFXaYf0L+cMlIJgVnUOmkRATwVeYaqR4X5Wysjt/WfJjrSSKqsXOY4zLJ1pjWu5YmKxO4xq9YndT5Ua2hzMdocV1X/jv4DAQ2mWg==
                                  proofXml: >-
                                    <AuthProof><Time>2023 Jul 17
                                    17:00:39</Time><DSUrl>https://merchantacsstag.cardinalcommerce.com/MerchantACSWeb/vereq.jsp?acqid=CYBS</DSUrl><VEReqProof><Message
                                    id="SzoIoMqsGtJJmkfmyJA0"><VEReq><version>1.0.2</version><pan>XXXXXXXXXXXX0007</pan><Merchant><acqBIN>469216</acqBIN><merID>TEST_3DS</merID></Merchant><Browser><deviceCategory>0</deviceCategory><accept>*/*</accept><userAgent>Mozilla/5.0
                                    (Macintosh; Intel Mac OS X 10_15_7)
                                    AppleWebKit/537.36 (KHTML, like Gecko)
                                    Chrome/114.0.0.0
                                    Safari/537.36</userAgent></Browser></VEReq></Message></VEReqProof><VEResProof><Message
                                    id="SzoIoMqsGtJJmkfmyJA0"><VERes><version>1.0.2</version><CH><enrolled>Y</enrolled><acctID>7033012</acctID></CH><url>https://merchantacsstag.cardinalcommerce.com/MerchantACSWeb/pareq.jsp?vaa=b&amp;gold=AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA</url><protocol>ThreeDSecure</protocol></VERes></Message></VEResProof></AuthProof>
                                  proxyPan: '7033012'
                                  specificationVersion: 1.0.2
                                  stepUpUrl: >-
                                    https://centinelapistag.cardinalcommerce.com/V2/Cruise/StepUp
                                  strongAuthentication:
                                    OutageExemptionIndicator: '0'
                                  token: >-
                                    AxjzbwSTddcP6s4BiIKXABEBURzGv4QYVRP0JAY/LtaSZejFq0T8BEAAwwdp
                                  veresEnrolled: 'Y'
                                  xid: U3pvSW9NcXNHdEpKbWtmbXlKQTA=
                                errorInformation:
                                  message: >-
                                    The cardholder is enrolled in Payer
                                    Authentication. Please authenticate the
                                    cardholder before continuing with the
                                    transaction.
                                  reason: CONSUMER_AUTHENTICATION_REQUIRED
                                id: '6896132402506977804951'
                                paymentInformation:
                                  card:
                                    bin: '445653'
                                    type: VISA
                                status: PENDING_AUTHENTICATION
                                submitTimeUtc: '2023-07-17T17:00:40Z'
                              third_party_transaction_id: null
                            three_d_secure_action_required: null
                            created_at: '2023-07-17T17:00:39.765728Z'
                            updated_at: '2023-07-17T17:41:43.593769Z'
                          - id: 4081b900-3efa-44a2-83d8-bca350476b06
                            type: PURCHASE
                            status: SUCCEEDED
                            category: CARD
                            amount: 5000
                            provider_id: DLOCAL
                            payment_method:
                              vaulted_token: ''
                              type: CARD
                              vault_on_success: false
                              token: ''
                              detail:
                                card:
                                  verify: null
                                  capture: true
                                  installments: 1
                                  first_installment_deferral: 0
                                  installments_type: ''
                                  installment_amount: null
                                  soft_descriptor: ''
                                  authorization_code: '445975'
                                  retrieval_reference_number: ''
                                  acquirer_reference_number: ''
                                  voucher: null
                                  card_data:
                                    holder_name: John Doe
                                    iin: '44565300'
                                    lfd: '0007'
                                    number_length: 16
                                    security_code_length: 3
                                    brand: VISA
                                    issuer_name: ''
                                    issuer_code: null
                                    category: null
                                    type: CREDIT
                                    three_d_secure:
                                      three_d_secure_setup_id: 24127d61-b852-42fb-acd4-1ee661645376
                                      version: null
                                      electronic_commerce_indicator: null
                                      cryptogram: null
                                      transaction_id: null
                                      directory_server_transaction_id: null
                                      pares_status: 'Y'
                                  stored_credentials:
                                    reason: SUBSCRIPTION
                                    usage: USED
                                    subscription_agreement_id: XXXX01
                                    network_transaction_id: null
                            response_code: SUCCEEDED
                            response_message: Transaction successful
                            reason: null
                            description: TEST_3DS
                            merchant_reference: null
                            provider_data:
                              id: DLOCAL
                              transaction_id: T-385928-57934367-25ca-4445-a973-da5c1a4635b2
                              account_id: ''
                              status: PAID
                              sub_status: ''
                              status_detail: '200'
                              response_message: The payment was paid.
                              raw_response:
                                value: >-
                                  {"id":"T-385928-57934367-25ca-4445-a973-da5c1a4635b2","amount":5000,"currency":"COP","payment_method_id":"CARD","payment_method_type":"CARD","payment_method_flow":"DIRECT","country":"CO","card":{"holder_name":"John
                                  Doe","expiration_month":1,"expiration_year":2026,"brand":"VI","last4":"0007","installments":1,"installments_responsible":"customer"},"three_dsecure":{},"created_date":"2023-07-17T17:41:44.000+0000","approved_date":"2023-07-17T17:41:48.000+0000","status":"PAID","status_detail":"The
                                  payment was
                                  paid.","status_code":"200","order_id":"4081b900-3efa-44a2-83d8-bca350476b06","description":"TEST_3DS","notification_url":"https://staging.y.uno/dlocal-webhook/v1/confirmations","acquirer":{"authorization_code":"445975"}}
                              third_party_transaction_id: ''
                            three_d_secure_action_required: null
                            created_at: '2023-07-17T17:41:43.752435Z'
                            updated_at: '2023-07-17T17:41:48.395863Z'
                        split: []
                        callback_url: https://google.com
                        workflow: REDIRECT
                        fraud_screening: null
                        metadata: []
                        payment_link_code: ''
                Card - With customer, billing, and shipping details:
                  value:
                    - payment:
                        id: 12113b61-015a-4a01-a69c-ab7423d0138d
                        account_id: 493e9374-510a-4201-9e09-de669d75f256
                        description: Test
                        country: US
                        status: SUCCEEDED
                        sub_status: APPROVED
                        merchant_order_id: '0000023'
                        created_at: '2023-07-24T01:03:02.291414Z'
                        updated_at: '2023-07-24T01:03:04.571022Z'
                        amount:
                          captured: 0
                          currency: USD
                          refunded: 0
                          value: 5000
                        checkout:
                          session: ''
                          sdk_action_required: false
                        payment_method:
                          vaulted_token: ''
                          type: CARD
                          vault_on_success: false
                          token: ''
                          payment_method_detail:
                            card:
                              verify: null
                              capture: true
                              installments: 1
                              first_installment_deferral: 0
                              installments_type: ''
                              installment_amount: null
                              soft_descriptor: ''
                              authorization_code: '123456'
                              retrieval_reference_number: ''
                              acquirer_reference_number: ''
                              voucher: null
                              card_data:
                                holder_name: John Doe
                                iin: '40518856'
                                lfd: '6623'
                                number_length: 16
                                security_code_length: 3
                                brand: VISA
                                issuer_name: ''
                                issuer_code: null
                                category: null
                                type: CREDIT
                                three_d_secure:
                                  version: null
                                  electronic_commerce_indicator: null
                                  cryptogram: null
                                  transaction_id: null
                                  directory_server_transaction_id: null
                                  pares_status: null
                                  acs_id: null
                              stored_credentials:
                                reason: SUBSCRIPTION
                                usage: USED
                                subscription_agreement_id: XXXX01
                                network_transaction_id: null
                        customer_payer:
                          id: null
                          merchant_customer_id: '1690160581'
                          first_name: John
                          last_name: Doe
                          gender: M
                          date_of_birth: '1990-02-28'
                          email: johndoe@example.com
                          nationality: US
                          ip_address: 192.0.2.1
                          device_fingerprint: null
                          browser_info:
                            user_agent: ''
                            accept_header: ''
                            accept_content: null
                            accept_browser: null
                            color_depth: ''
                            screen_height: ''
                            screen_width: ''
                            javascript_enabled: null
                            java_enabled: null
                            browser_time_difference: null
                            language: ''
                          document:
                            document_type: SSN
                            document_number: 123-45-6789
                          phone:
                            number: '5551234567'
                            country_code: '1'
                          billing_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 502, Tower I
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                          shipping_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 502, Tower I
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                        additional_data: null
                        taxes: null
                        transactions:
                          - id: 73e5cddf-32c7-4b12-9d8e-92335862928f
                            type: PURCHASE
                            status: SUCCEEDED
                            category: CARD
                            amount: 5000
                            provider_id: YUNO_TEST_PAYMENT_GW
                            payment_method:
                              vaulted_token: ''
                              type: CARD
                              vault_on_success: false
                              token: ''
                              detail:
                                card:
                                  verify: null
                                  capture: true
                                  installments: 1
                                  first_installment_deferral: 0
                                  installments_type: ''
                                  installment_amount: null
                                  soft_descriptor: ''
                                  authorization_code: '123456'
                                  retrieval_reference_number: ''
                                  acquirer_reference_number: ''
                                  voucher: null
                                  card_data:
                                    holder_name: John Doe
                                    iin: '40518856'
                                    lfd: '6623'
                                    number_length: 16
                                    security_code_length: 3
                                    brand: VISA
                                    issuer_name: ''
                                    issuer_code: null
                                    category: null
                                    type: CREDIT
                                    three_d_secure:
                                      version: null
                                      electronic_commerce_indicator: null
                                      cryptogram: null
                                      transaction_id: null
                                      directory_server_transaction_id: null
                                      pares_status: null
                                      acs_id: null
                                  stored_credentials:
                                    reason: SUBSCRIPTION
                                    usage: USED
                                    subscription_agreement_id: XXXX01
                                    network_transaction_id: null
                            response_code: SUCCEEDED
                            response_message: Transaction successful
                            reason: null
                            description: Test
                            merchant_reference: reference-85ffbde3-2256-418f-b761-41ab2d8706dd
                            provider_data:
                              id: YUNO_TEST_PAYMENT_GW
                              transaction_id: d570b77a-759e-45ae-abb9-ab4ab3034d0c
                              account_id: ''
                              status: SUCCEEDED
                              status_detail: ''
                              response_message: ''
                              iso8583_response_code: '00'
                              iso8583_response_message: Approved or completed successfully
                              raw_response:
                                amount:
                                  currency: USD
                                  value: 2100
                                merchantAccount: YunoPaymentsECOM
                                reference: '34343434'
                                status: received
                              third_party_transaction_id: ''
                            created_at: '2023-07-24T01:03:02.407480Z'
                            updated_at: '2023-07-24T01:03:04.499303Z'
                        split: []
                        workflow: DIRECT
                        metadata: []
                        fraud_screening: null
                        payment_link_code: ''
                Card - With customer, billing, shipping and order items:
                  value:
                    - payment:
                        id: cf205a5e-140e-4c08-9a5b-ee44b91256dc
                        account_id: 493e9374-510a-4201-9e09-de669d75f256
                        description: Test
                        country: US
                        status: SUCCEEDED
                        sub_status: APPROVED
                        merchant_order_id: '0000023'
                        created_at: '2023-07-24T01:08:17.039613Z'
                        updated_at: '2023-07-24T01:08:19.300337Z'
                        amount:
                          captured: 0
                          currency: USD
                          refunded: 0
                          value: 5000
                        checkout:
                          session: ''
                          sdk_action_required: false
                        payment_method:
                          vaulted_token: ''
                          type: CARD
                          vault_on_success: false
                          token: ''
                          payment_method_detail:
                            card:
                              verify: null
                              capture: true
                              installments: 1
                              first_installment_deferral: 0
                              installments_type: ''
                              installment_amount: null
                              soft_descriptor: ''
                              authorization_code: '123456'
                              retrieval_reference_number: ''
                              acquirer_reference_number: ''
                              voucher: null
                              card_data:
                                holder_name: John Doe
                                iin: '40518856'
                                lfd: '6623'
                                number_length: 16
                                security_code_length: 3
                                brand: VISA
                                issuer_name: ''
                                issuer_code: null
                                category: null
                                type: CREDIT
                                three_d_secure:
                                  version: null
                                  electronic_commerce_indicator: null
                                  cryptogram: null
                                  transaction_id: null
                                  directory_server_transaction_id: null
                                  pares_status: null
                                  acs_id: null
                              stored_credentials:
                                reason: SUBSCRIPTION
                                usage: USED
                                subscription_agreement_id: XXXX01
                                network_transaction_id: null
                        customer_payer:
                          id: null
                          merchant_customer_id: '1690160896'
                          first_name: John
                          last_name: Doe
                          gender: M
                          date_of_birth: '1990-02-28'
                          email: johndoe@example.com
                          nationality: US
                          ip_address: 192.0.2.1
                          device_fingerprint: null
                          browser_info:
                            user_agent: ''
                            accept_header: ''
                            accept_content: null
                            accept_browser: null
                            color_depth: ''
                            screen_height: ''
                            screen_width: ''
                            javascript_enabled: null
                            java_enabled: null
                            browser_time_difference: null
                            language: ''
                          document:
                            document_type: SSN
                            document_number: 123-45-6789
                          phone:
                            number: '5551234567'
                            country_code: '1'
                          billing_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 502, Tower I
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                          shipping_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 502, Tower I
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                        additional_data:
                          airline: null
                          order:
                            fee_amount: 0
                            shipping_amount: 0
                            items:
                              - id: 123AD
                                name: Skirt
                                quantity: 1
                                unit_amount: 5000
                                category: Clothes
                                brand: XYZ
                                sku_code: '8765432109'
                                manufacture_part_number: XYZ123456
                          seller_details: null
                        taxes: null
                        transactions:
                          - id: bf442c7f-2393-4607-98b5-a4c2a8a97bbc
                            type: PURCHASE
                            status: SUCCEEDED
                            category: CARD
                            amount: 5000
                            provider_id: YUNO_TEST_PAYMENT_GW
                            payment_method:
                              vaulted_token: ''
                              type: CARD
                              vault_on_success: false
                              token: ''
                              detail:
                                card:
                                  verify: null
                                  capture: true
                                  installments: 1
                                  first_installment_deferral: 0
                                  installments_type: ''
                                  installment_amount: null
                                  soft_descriptor: ''
                                  authorization_code: '123456'
                                  retrieval_reference_number: ''
                                  acquirer_reference_number: ''
                                  voucher: null
                                  card_data:
                                    holder_name: John Doe
                                    iin: '40518856'
                                    lfd: '6623'
                                    number_length: 16
                                    security_code_length: 3
                                    brand: VISA
                                    issuer_name: ''
                                    issuer_code: null
                                    category: null
                                    type: CREDIT
                                    three_d_secure:
                                      version: null
                                      electronic_commerce_indicator: null
                                      cryptogram: null
                                      transaction_id: null
                                      directory_server_transaction_id: null
                                      pares_status: null
                                      acs_id: null
                                  stored_credentials:
                                    reason: SUBSCRIPTION
                                    usage: USED
                                    subscription_agreement_id: XXXX01
                                    network_transaction_id: null
                            response_code: SUCCEEDED
                            response_message: Transaction successful
                            reason: null
                            description: Test
                            merchant_reference: reference-9260ef97-81b5-4e35-ac17-0d3d124a0d59
                            provider_data:
                              id: YUNO_TEST_PAYMENT_GW
                              transaction_id: ade1dcf5-cbf5-408b-84af-f504abe01a26
                              account_id: ''
                              status: SUCCEEDED
                              status_detail: ''
                              response_message: ''
                              iso8583_response_code: '00'
                              iso8583_response_message: Approved or completed successfully
                              raw_response:
                                amount:
                                  currency: USD
                                  value: 2100
                                merchantAccount: YunoPaymentsECOM
                                reference: '34343434'
                                status: received
                              third_party_transaction_id: ''
                            created_at: '2023-07-24T01:08:17.147871Z'
                            updated_at: '2023-07-24T01:08:19.222926Z'
                        split: []
                        workflow: DIRECT
                        metadata: []
                        fraud_screening: null
                        payment_link_code: ''
                Card - With installments:
                  value:
                    - payment:
                        id: 3707bcc5-f88c-4092-ba44-142d1f3ea229
                        account_id: 493e9374-510a-4201-9e09-de669d75f256
                        description: Test
                        country: US
                        status: SUCCEEDED
                        sub_status: APPROVED
                        merchant_order_id: '0000023'
                        created_at: '2023-07-24T01:10:50.152163Z'
                        updated_at: '2023-07-24T01:10:52.417211Z'
                        amount:
                          captured: 0
                          currency: USD
                          refunded: 0
                          value: 5000
                        checkout:
                          session: ''
                          sdk_action_required: false
                        payment_method:
                          vaulted_token: ''
                          type: CARD
                          vault_on_success: false
                          token: ''
                          payment_method_detail:
                            card:
                              verify: null
                              capture: true
                              installments: 3
                              first_installment_deferral: 0
                              installments_type: ''
                              installment_amount: null
                              soft_descriptor: ''
                              authorization_code: '123456'
                              retrieval_reference_number: ''
                              acquirer_reference_number: ''
                              voucher: null
                              card_data:
                                holder_name: John Doe
                                iin: '40518856'
                                lfd: '6623'
                                number_length: 16
                                security_code_length: 3
                                brand: VISA
                                issuer_name: ''
                                issuer_code: null
                                category: null
                                type: CREDIT
                                three_d_secure:
                                  version: null
                                  electronic_commerce_indicator: null
                                  cryptogram: null
                                  transaction_id: null
                                  directory_server_transaction_id: null
                                  pares_status: null
                                  acs_id: null
                              stored_credentials:
                                reason: SUBSCRIPTION
                                usage: USED
                                subscription_agreement_id: XXXX01
                                network_transaction_id: null
                        customer_payer:
                          id: null
                          merchant_customer_id: '1690161049'
                          first_name: John
                          last_name: Doe
                          gender: M
                          date_of_birth: '1990-01-01'
                          email: johndoe@example.com
                          nationality: US
                          ip_address: 192.0.2.1
                          device_fingerprint: null
                          browser_info:
                            user_agent: ''
                            accept_header: ''
                            accept_content: null
                            accept_browser: null
                            color_depth: ''
                            screen_height: ''
                            screen_width: ''
                            javascript_enabled: null
                            java_enabled: null
                            browser_time_difference: null
                            language: ''
                          document:
                            document_type: SSN
                            document_number: 123-45-6789
                          phone:
                            number: '5551234567'
                            country_code: '1'
                          billing_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                          shipping_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                        additional_data: null
                        taxes: null
                        transactions:
                          - id: a58043ab-e5c6-4476-adfb-623fa8cc320d
                            type: PURCHASE
                            status: SUCCEEDED
                            category: CARD
                            amount: 5000
                            provider_id: YUNO_TEST_PAYMENT_GW
                            payment_method:
                              vaulted_token: ''
                              type: CARD
                              vault_on_success: false
                              token: ''
                              detail:
                                card:
                                  verify: null
                                  capture: true
                                  installments: 3
                                  first_installment_deferral: 0
                                  installments_type: ''
                                  installment_amount: null
                                  soft_descriptor: ''
                                  authorization_code: '123456'
                                  retrieval_reference_number: ''
                                  acquirer_reference_number: ''
                                  voucher: null
                                  card_data:
                                    holder_name: John Doe
                                    iin: '40518856'
                                    lfd: '6623'
                                    number_length: 16
                                    security_code_length: 3
                                    brand: VISA
                                    issuer_name: ''
                                    issuer_code: null
                                    category: null
                                    type: CREDIT
                                    three_d_secure:
                                      version: null
                                      electronic_commerce_indicator: null
                                      cryptogram: null
                                      transaction_id: null
                                      directory_server_transaction_id: null
                                      pares_status: null
                                      acs_id: null
                                  stored_credentials:
                                    reason: SUBSCRIPTION
                                    usage: USED
                                    subscription_agreement_id: XXXX01
                                    network_transaction_id: null
                            response_code: SUCCEEDED
                            response_message: Transaction successful
                            reason: null
                            description: Test
                            merchant_reference: reference-f3f9319f-f3f7-48a3-90c2-fac0a2f782be
                            provider_data:
                              id: YUNO_TEST_PAYMENT_GW
                              transaction_id: 9efdc397-2a74-479a-af00-bf5ae7e2a76e
                              account_id: ''
                              status: SUCCEEDED
                              status_detail: ''
                              response_message: ''
                              iso8583_response_code: '00'
                              iso8583_response_message: Approved or completed successfully
                              raw_response:
                                amount:
                                  currency: USD
                                  value: 2100
                                merchantAccount: YunoPaymentsECOM
                                reference: '34343434'
                                status: received
                              third_party_transaction_id: ''
                            created_at: '2023-07-24T01:10:50.273142Z'
                            updated_at: '2023-07-24T01:10:52.339967Z'
                        split: []
                        workflow: DIRECT
                        metadata: []
                        fraud_screening: null
                        payment_link_code: ''
                Card - With authorization:
                  value:
                    - payment:
                        id: c0409fc0-87d5-453f-bf91-8f0af2f09347
                        account_id: 493e9374-510a-4201-9e09-de669d75f256
                        description: Test
                        country: US
                        status: PENDING
                        sub_status: AUTHORIZED
                        merchant_order_id: '0000023'
                        created_at: '2023-07-24T01:13:37.372312Z'
                        updated_at: '2023-07-24T01:13:39.654433Z'
                        amount:
                          captured: 0
                          currency: USD
                          refunded: 0
                          value: 5000
                        checkout:
                          session: ''
                          sdk_action_required: false
                        payment_method:
                          vaulted_token: ''
                          type: CARD
                          vault_on_success: false
                          token: ''
                          payment_method_detail:
                            card:
                              verify: null
                              capture: false
                              installments: 1
                              first_installment_deferral: 0
                              installments_type: ''
                              installment_amount: null
                              soft_descriptor: ''
                              authorization_code: '123456'
                              retrieval_reference_number: ''
                              acquirer_reference_number: ''
                              voucher: null
                              card_data:
                                holder_name: John Doe
                                iin: '40518856'
                                lfd: '6623'
                                number_length: 16
                                security_code_length: 3
                                brand: VISA
                                issuer_name: ''
                                issuer_code: null
                                category: null
                                type: CREDIT
                                three_d_secure:
                                  version: null
                                  electronic_commerce_indicator: null
                                  cryptogram: null
                                  transaction_id: null
                                  directory_server_transaction_id: null
                                  pares_status: null
                                  acs_id: null
                              stored_credentials:
                                reason: SUBSCRIPTION
                                usage: USED
                                subscription_agreement_id: XXXX01
                                network_transaction_id: null
                        customer_payer:
                          id: null
                          merchant_customer_id: '1690161049'
                          first_name: John
                          last_name: Doe
                          gender: M
                          date_of_birth: '1985-01-01'
                          email: johndoe@example.com
                          nationality: US
                          ip_address: 192.0.2.1
                          device_fingerprint: null
                          browser_info:
                            user_agent: ''
                            accept_header: ''
                            accept_content: null
                            accept_browser: null
                            color_depth: ''
                            screen_height: ''
                            screen_width: ''
                            javascript_enabled: null
                            java_enabled: null
                            browser_time_difference: null
                            language: ''
                          document:
                            document_type: SSN
                            document_number: 123-45-6789
                          phone:
                            number: '5551234567'
                            country_code: '1'
                          billing_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                          shipping_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                        additional_data: null
                        taxes: null
                        transactions:
                          - id: e9108a97-5d0d-492a-99bf-da1ee42af425
                            type: AUTHORIZE
                            status: SUCCEEDED
                            category: CARD
                            amount: 5000
                            provider_id: YUNO_TEST_PAYMENT_GW
                            payment_method:
                              vaulted_token: ''
                              type: CARD
                              vault_on_success: false
                              token: ''
                              detail:
                                card:
                                  verify: null
                                  capture: false
                                  installments: 1
                                  first_installment_deferral: 0
                                  installments_type: ''
                                  installment_amount: null
                                  soft_descriptor: ''
                                  authorization_code: '123456'
                                  retrieval_reference_number: ''
                                  acquirer_reference_number: ''
                                  voucher: null
                                  card_data:
                                    holder_name: John Doe
                                    iin: '40518856'
                                    lfd: '6623'
                                    number_length: 16
                                    security_code_length: 3
                                    brand: VISA
                                    issuer_name: ''
                                    issuer_code: null
                                    category: null
                                    type: CREDIT
                                    three_d_secure:
                                      version: null
                                      electronic_commerce_indicator: null
                                      cryptogram: null
                                      transaction_id: null
                                      directory_server_transaction_id: null
                                      pares_status: null
                                      acs_id: null
                                  stored_credentials:
                                    reason: SUBSCRIPTION
                                    usage: USED
                                    subscription_agreement_id: XXXX01
                                    network_transaction_id: null
                            response_code: SUCCEEDED
                            response_message: Transaction successful
                            reason: null
                            description: Test
                            merchant_reference: reference-0b914bf9-0e86-4713-a908-0ec01d60c486
                            provider_data:
                              id: YUNO_TEST_PAYMENT_GW
                              transaction_id: 1b7011ff-4252-4ac6-99a4-d5de2086896b
                              account_id: ''
                              status: SUCCEEDED
                              status_detail: ''
                              response_message: ''
                              iso8583_response_code: '00'
                              iso8583_response_message: Approved or completed successfully
                              raw_response:
                                amount:
                                  currency: USD
                                  value: 2100
                                merchantAccount: YunoPaymentsECOM
                                reference: '34343434'
                                status: received
                              third_party_transaction_id: ''
                            created_at: '2023-07-24T01:13:37.492230Z'
                            updated_at: '2023-07-24T01:13:39.584118Z'
                        split: []
                        workflow: DIRECT
                        metadata: []
                        fraud_screening: null
                        payment_link_code: ''
                Card - With device fingerprint:
                  value:
                    - payment:
                        id: 8e7fbcad-9c7b-43c6-8fbf-b864e87c5e41
                        account_id: 493e9374-510a-4201-9e09-de669d75f256
                        description: Test
                        country: US
                        status: SUCCEEDED
                        sub_status: APPROVED
                        merchant_order_id: '0000023'
                        created_at: '2023-07-24T01:20:02.671644Z'
                        updated_at: '2023-07-24T01:20:04.946852Z'
                        amount:
                          captured: 0
                          currency: USD
                          refunded: 0
                          value: 5000
                        checkout:
                          session: ''
                          sdk_action_required: false
                        payment_method:
                          vaulted_token: ''
                          type: CARD
                          vault_on_success: false
                          token: ''
                          payment_method_detail:
                            card:
                              verify: null
                              capture: true
                              installments: 1
                              first_installment_deferral: 0
                              installments_type: ''
                              installment_amount: null
                              soft_descriptor: ''
                              authorization_code: '123456'
                              retrieval_reference_number: ''
                              acquirer_reference_number: ''
                              voucher: null
                              card_data:
                                holder_name: John Doe
                                iin: '40518856'
                                lfd: '6623'
                                number_length: 16
                                security_code_length: 3
                                brand: VISA
                                issuer_name: ''
                                issuer_code: null
                                category: null
                                type: CREDIT
                                three_d_secure:
                                  version: null
                                  electronic_commerce_indicator: null
                                  cryptogram: null
                                  transaction_id: null
                                  directory_server_transaction_id: null
                                  pares_status: null
                                  acs_id: null
                              stored_credentials:
                                reason: SUBSCRIPTION
                                usage: USED
                                subscription_agreement_id: XXXX01
                                network_transaction_id: null
                        customer_payer:
                          id: null
                          merchant_customer_id: '1690161049'
                          first_name: John
                          last_name: Doe
                          gender: M
                          date_of_birth: '1985-01-01'
                          email: johndoe@example.com
                          nationality: US
                          ip_address: 192.0.2.1
                          device_fingerprint: hi88287gbd8d7d782ge287gbd8d7d78
                          browser_info:
                            user_agent: ''
                            accept_header: ''
                            accept_content: null
                            accept_browser: null
                            color_depth: ''
                            screen_height: ''
                            screen_width: ''
                            javascript_enabled: null
                            java_enabled: null
                            browser_time_difference: null
                            language: ''
                          document:
                            document_type: SSN
                            document_number: 123-45-6789
                          phone:
                            number: '5551234567'
                            country_code: '1'
                          billing_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                          shipping_address:
                            address_line_1: 123 Main St
                            address_line_2: Apt 4B
                            country: US
                            state: California
                            city: Los Angeles
                            zip_code: '90001'
                        additional_data: null
                        taxes: null
                        transactions:
                          - id: 36524be2-b33e-4d33-b9d7-9f7853035bbd
                            type: PURCHASE
                            status: SUCCEEDED
                            category: CARD
                            amount: 5000
                            provider_id: YUNO_TEST_PAYMENT_GW
                            payment_method:
                              vaulted_token: ''
                              type: CARD
                              vault_on_success: false
                              token: ''
                              detail:
                                card:
                                  verify: null
                                  capture: true
                                  installments: 1
                                  first_installment_deferral: 0
                                  installments_type: ''
                                  installment_amount: null
                                  soft_descriptor: ''
                                  authorization_code: '123456'
                                  retrieval_reference_number: ''
                                  acquirer_reference_number: ''
                                  voucher: null
                                  card_data:
                                    holder_name: John Doe
                                    iin: '40518856'
                                    lfd: '6623'
                                    number_length: 16
                                    security_code_length: 3
                                    brand: VISA
                                    issuer_name: ''
                                    issuer_code: null
                                    category: null
                                    type: CREDIT
                                    three_d_secure:
                                      version: null
                                      electronic_commerce_indicator: null
                                      cryptogram: null
                                      transaction_id: null
                                      directory_server_transaction_id: null
                                      pares_status: null
                                      acs_id: null
                                  stored_credentials:
                                    reason: SUBSCRIPTION
                                    usage: USED
                                    subscription_agreement_id: XXXX01
                                    network_transaction_id: null
                            response_code: SUCCEEDED
                            response_message: Transaction successful
                            reason: null
                            description: Test
                            merchant_reference: reference-89ab43dc-57de-4ea0-8058-6f7fc0d972a7
                            provider_data:
                              id: YUNO_TEST_PAYMENT_GW
                              transaction_id: 20500c62-96d2-457b-8e64-b64480190e89
                              account_id: ''
                              status: SUCCEEDED
                              status_detail: ''
                              response_message: ''
                              iso8583_response_code: '00'
                              iso8583_response_message: Approved or completed successfully
                              raw_response:
                                amount:
                                  currency: USD
                                  value: 2100
                                merchantAccount: YunoPaymentsECOM
                                reference: '34343434'
                                status: received
                              third_party_transaction_id: ''
                            created_at: '2023-07-24T01:20:02.794825Z'
                            updated_at: '2023-07-24T01:20:04.873386Z'
                        split: []
                        workflow: DIRECT
                        metadata: []
                        fraud_screening: null
                        payment_link_code: ''
                Card - With vault on success:
                  value:
                    - payment:
                        id: 96b56df3-0013-4401-b58e-646f5e716ab8
                        account_id: 493e9374-510a-4201-9e09-de669d75f256
                        description: Test
                        country: US
                        status: SUCCEEDED
                        sub_status: APPROVED
                        merchant_order_id: '0000023'
                        created_at: '2023-07-24T01:27:23.360857Z'
                        updated_at: '2023-07-24T01:27:25.682059Z'
                        amount:
                          captured: 0
                          currency: USD
                          refunded: 0
                          value: 5000
                        checkout:
                          session: ''
                          sdk_action_required: false
                        payment_method:
                          vaulted_token: eb8caa17-6407-457b-960e-125d8d7a90c1
                          type: CARD
                          vault_on_success: true
                          token: ''
                          payment_method_detail:
                            card:
                              verify: null
                              capture: true
                              installments: 1
                              first_installment_deferral: 0
                              installments_type: ''
[...]
